# Class ToStringUtil

java.lang.Object
org.apache.tomcat.util.buf.ToStringUtil

public class ToStringUtil extends Object
Utility class used to provide String representations of objects. It is typically used in debug logging.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `classPathForCNFE(ClassLoader classLoader)`
  Generate a String representation of the class path for the given class loader and any parent class loaders to aid debugging of `ClassNotFoundException`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### classPathForCNFE

    public static String classPathForCNFE(ClassLoader classLoader)
    Generate a String representation of the class path for the given class loader and any parent class loaders to aid debugging of `ClassNotFoundException`.
    Parameters:
      `classLoader` - The class loader to analyse
    Returns:
      A String representation of the class path. The format is undefined and may change in future point releases. The output includes new lines.